curl --request GET \
--url https://api.bitgpt.xyz/files/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.bitgpt.xyz/files/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.bitgpt.xyz/files/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"data": {
"id": "123"
},
"error": null,
"log": null,
"validator": null,
"support_id": null,
"message": "Resource created successfully",
"env": "development"
}{
"status": 400,
"error": "Invalid email address",
"message": null,
"env": "development",
"log": {
"request_id": "req_1234567890"
},
"validator": {
"email": "Invalid email address",
"password": "Password is required"
},
"support_id": "support_uuidv7-something-else",
"data": {}
}{
"status": 401,
"error": "Invalid email address",
"message": null,
"env": "development",
"log": {
"request_id": "req_1234567890"
},
"validator": {
"email": "Invalid email address",
"password": "Password is required"
},
"support_id": "support_uuidv7-something-else",
"data": {}
}{
"status": 403,
"error": "Invalid email address",
"message": null,
"env": "development",
"log": {
"request_id": "req_1234567890"
},
"validator": {
"email": "Invalid email address",
"password": "Password is required"
},
"support_id": "support_uuidv7-something-else",
"data": {}
}{
"status": 404,
"error": "Invalid email address",
"message": null,
"env": "development",
"log": {
"request_id": "req_1234567890"
},
"validator": {
"email": "Invalid email address",
"password": "Password is required"
},
"support_id": "support_uuidv7-something-else",
"data": {}
}Get file details
Retrieve detailed information about a specific file by ID
Authorizations
Send your access token as header Authorization: Bearer {accessToken}
Your API key that starts with sk_live or sk_test. You can create yours at go.bitgpt.xyz/api-keys.
Path Parameters
File ID
Response
File retrieved successfully
Status code of the response
200, 201, 202 File object containing file identifier and URL for accessing the file resource
Show child attributes
Show child attributes
{
"id": "file_0196b6e6-54e3-796d-9c6a-2862a5fef597",
"url": "https://assets.bitgpt.xyz//app/public/src/storage/uploads/image/2025/05/09/0196b6e6-54e3-7290-9d73-0074c623e368.jpg"
}
Message of the response, human readable
"Resource created successfully"
API environment
development, production Error message of the response, human readable
"Invalid email address"
Useful informaiton, not always present, to debug the response
{ "request_id": "req_1234567890" }
"Some pertinent log message"
Validator response object, each key is the field name and value is the error message
{
"email": "Invalid email address",
"password": "Password is required"
}
Support ID linked to the response, used to identify it when talking with our team
"support_uuidv7-something-else"

